Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary
Class BuildResultsSummaryHibernateDao

    java.lang.Object
      HibernateObjectDao
          com.atlassian.bamboo.persistence.BambooHibernateObjectDao
              com.atlassian.bamboo.resultsummary.BuildResultsSummaryHibernateDao

All Implemented Interfaces:
  BambooObjectDao, BuildResultsSummaryDao

    public class BuildResultsSummaryHibernateDao

extends BambooHibernateObjectDao
implements BuildResultsSummaryDao

Constructor Summary
`BuildResultsSummaryHibernateDao()`

Method Summary
`List` | `getAllBuildResultsSummaries(Build build)`
`BuildResultsSummary` | `getBreakingBuild(BuildResultsSummary summary)`
`ExtendedBuildResultsSummary` | `getBuildResultsSummaryByBuildKeyAndBuildNumber(String buildKey, int buildNumber)`
`List` | `getBuildResultSummaries(Build build, int numberOfResults)` Retrieves specific number of Build Result Summaries for a particular plan.
`BuildResultsSummary` | `getFirstBuildSummary(Build build)`
`BuildResultsSummary` | `getLastBuildSummary(Build build)`
`List` | `getLatestbuildResultSummaries(int numberOfResults)`
`List` | `getNeighbouringSummaries(Build build, int currentBuildNumber)`
`long` | `getNumberOfResults(Build build)`
`Class` | `getPersistentClass()`
`List` | `getSuccessfulBuildResultSummaries(Build build, int numberOfResults)` Retrieves specific number of successful Build Result Summaries for a particular plan.

Methods inherited from class com.atlassian.bamboo.persistence.BambooHibernateObjectDao
`findById`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.persistence.BambooObjectDao
`findById`

Constructor Detail

### BuildResultsSummaryHibernateDao

    public BuildResultsSummaryHibernateDao()

Method Detail

### getPersistentClass

    public Class getPersistentClass()

### getBuildResultsSummaryByBuildKeyAndBuildNumber

    public ExtendedBuildResultsSummary getBuildResultsSummaryByBuildKeyAndBuildNumber(String buildKey,
                                                                                      int buildNumber)

  Specified by:
    `getBuildResultsSummaryByBuildKeyAndBuildNumber` in interface `BuildResultsSummaryDao`

### getAllBuildResultsSummaries

    public List getAllBuildResultsSummaries(Build build)

  Specified by:
    `getAllBuildResultsSummaries` in interface `BuildResultsSummaryDao`

### getSuccessfulBuildResultSummaries

    public List getSuccessfulBuildResultSummaries(Build build,
                                                  int numberOfResults)

  Description copied from interface: `BuildResultsSummaryDao`
  Retrieves specific number of successful Build Result Summaries for a particular plan.

  Specified by:
    `getSuccessfulBuildResultSummaries` in interface `BuildResultsSummaryDao`
  Parameters:
    `build` - - can not be null
    `numberOfResults` - - must be greater 0
  Returns:
    List of `BuildResultsSummary` of specified length, all with status Successsful

### getBuildResultSummaries

    public List getBuildResultSummaries(Build build,
                                        int numberOfResults)

  Description copied from interface: `BuildResultsSummaryDao`
  Retrieves specific number of Build Result Summaries for a particular plan.

  Specified by:
    `getBuildResultSummaries` in interface `BuildResultsSummaryDao`
  Parameters:
    `build` - - can not be null
    `numberOfResults` - - must be greater 0
  Returns:
    List of `BuildResultsSummary` of specified length

### getFirstBuildSummary

    public BuildResultsSummary getFirstBuildSummary(Build build)

  Specified by:
    `getFirstBuildSummary` in interface `BuildResultsSummaryDao`

### getLastBuildSummary

    public BuildResultsSummary getLastBuildSummary(Build build)

  Specified by:
    `getLastBuildSummary` in interface `BuildResultsSummaryDao`

### getNumberOfResults

    public long getNumberOfResults(Build build)

  Specified by:
    `getNumberOfResults` in interface `BuildResultsSummaryDao`

### getNeighbouringSummaries

    public List getNeighbouringSummaries(Build build,
                                         int currentBuildNumber)

  Specified by:
    `getNeighbouringSummaries` in interface `BuildResultsSummaryDao`

### getBreakingBuild

    public BuildResultsSummary getBreakingBuild(BuildResultsSummary summary)

  Specified by:
    `getBreakingBuild` in interface `BuildResultsSummaryDao`

### getLatestbuildResultSummaries

    public List getLatestbuildResultSummaries(int numberOfResults)

  Specified by:
    `getLatestbuildResultSummaries` in interface `BuildResultsSummaryDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.